function dndS = dndS(D1,D2) 

M = D1.nbPoints;
dndS = zeros(M, M);


for j = 1:M
    ydotx = (D1.points(1,j)-D2.points(1,:)).*D1.normal(1,j)...
        +(D1.points(2,j)-D2.points(2,:)).*D1.normal(1,:);
    
    norm_xy_square = (D1.points(1,j)-D2.points(1,:)).^2 ...
        +(D1.points(2,j)-D2.points(2,:)).^2;
    
    
    dndS(j,:) = -1/(2*pi)* ...
        ydotx./norm_xy_square.*D2.sigma;
end
